# https://taskfile.dev

version: '3'

tasks:
  default:
    deps: [mise, fonts, tools]
    cmds:
      - echo "mise checks ran, tools updated"

  mise:
    cmds:
      - mise self-update
      - mise doctor

  fonts:
    dir: downloads
    cmds:
      - curl -LO https://github.com/githubnext/monaspace/releases/download/v1.301/monaspace-frozen-v1.301.zip
      - unzip monaspace-frozen-v1.301.zip -d ./fonts
      - mkdir -p ~/.fonts
      - find . -type f -exec mv {} ~/.fonts \;


  tools:
    deps: [git, zsh, kitty, ripgrep, neovim, bat, zoxide]
    cmds:
      - echo "tools installed"

  zsh:
    cmds: # installed via ./setup.sh
      - cmd: sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
        ignore_error: true
      - cmd: rm ~/.zshrc
        ignore_error: true
      - cmd: ln -s "$(pwd)/.zshrc" ~/.zshrc
        ignore_error: true

  kitty:
    cmds: # installed via ./setup.sh
      - cmd: ln -s "$(pwd)/kitty" ~/.config/kitty
        ignore_error: true

  git:
    cmds:
      - cmd: ln -s "$(pwd)/.gitconfig" ~/.gitconfig
        ignore_error: true

  ripgrep:
    cmds:
      - mise use --global ripgrep@latest

  neovim:
    cmds:
      - mise use --global neovim@0.11.4
      - cmd: ln -s "$(pwd)/nvim" ~/.config/nvim
        ignore_error: true

  bat:
    cmds:
      - mise use --global bat@latest

  zoxide:
    cmds:
      - mise use --global zoxide@latest
